%define oname   gobject-introspection

Name:       ruby-%{oname}
Version:    4.1.4
Release:    %mkrel 1
Summary:    Ruby/GObjectIntrospection is a Ruby binding of GObjectIntrospection
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: ruby-glib2
BuildRequires: ruby-glib2-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires: ruby-glib2-devel

%description
Ruby/GObjectIntrospection is a Ruby binding of GObjectIntrospection.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%{ruby_vendorarchdir}/*.h



#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup

%build

%global _disable_ld_no_undefined 1
export CONFIGURE_ARGS="--with-cflags='%{optflags}' --with-dldflags='%{build_ldflags}'"
export CONFIGURE_ARGS="$CONFIGURE_ARGS --with-pkg-config-dir=$(pwd)%{_libdir}/pkgconfig"
%gem_build

%install
%gem_install -d


%changelog
* Sun May 07 2023 daviddavid <daviddavid> 4.1.4-1.mga9
+ Revision: 1956115
- new version: 4.1.4

* Wed Sep 14 2022 pterjan <pterjan> 4.0.3-1.mga9
+ Revision: 1888186
- Update to 4.0.3

* Sat Mar 26 2022 umeabot <umeabot> 3.5.1-3.mga9
+ Revision: 1828634
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 pterjan <pterjan> 3.5.1-2.mga9
+ Revision: 1785702
- Require ruby-glib2-devel as provided .h include some from there, this package should probably also have a -devel

* Fri Feb 25 2022 pterjan <pterjan> 3.5.1-1.mga9
+ Revision: 1784859
- Update to 3.5.1

* Fri Feb 25 2022 pterjan <pterjan> 3.4.1-2.mga9
+ Revision: 1784585
- Rebuild for Ruby 3.1

* Wed Mar 04 2020 pterjan <pterjan> 3.4.1-1.mga8
+ Revision: 1553847
- Update to 3.4.1

* Sat Feb 15 2020 umeabot <umeabot> 3.3.6-2.mga8
+ Revision: 1526891
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 pterjan <pterjan> 3.3.6-1.mga8
+ Revision: 1418874
- Update to 3.3.6

* Fri Jan 25 2019 pterjan <pterjan> 3.3.1-1.mga7
+ Revision: 1360719
- Update to 3.3.1

* Sun Nov 04 2018 pterjan <pterjan> 3.3.0-1.mga7
+ Revision: 1328173
- Update to 3.3.0

* Sat Aug 25 2018 pterjan <pterjan> 3.2.9-1.mga7
+ Revision: 1254166
- Update to 3.2.9

* Wed Jun 27 2018 pterjan <pterjan> 3.2.7-3.mga7
+ Revision: 1239989
- Use gem_install -d to install header files, that's what it is for

* Wed Jun 27 2018 pterjan <pterjan> 3.2.7-2.mga7
+ Revision: 1239988
- Move the header to a place it can be found, I should do that in the install macro

* Mon Jun 18 2018 pterjan <pterjan> 3.2.7-1.mga7
+ Revision: 1237645
- Update to 3.2.7

* Thu May 17 2018 pterjan <pterjan> 3.2.5-1.mga7
+ Revision: 1230089
- Update to 3.2.5

* Mon Apr 23 2018 pterjan <pterjan> 3.2.4-1.mga7
+ Revision: 1221852
- Update to 3.2.4

* Mon Apr 02 2018 pterjan <pterjan> 3.2.2-1.mga7
+ Revision: 1214608
- Update to 3.2.2

* Sun Mar 25 2018 pterjan <pterjan> 3.2.1-1.mga7
+ Revision: 1212316
- Update to 3.2.1

* Mon Jan 01 2018 pterjan <pterjan> 3.1.8-2.mga7
+ Revision: 1188666
- Rebuild for Ruby 2.5

* Wed Aug 16 2017 pterjan <pterjan> 3.1.8-1.mga7
+ Revision: 1141173
- Ad dmissing BuildRequires
- imported package ruby-gobject-introspection

